---
lang: en
title: 'API docs: rest.trie.list'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.trie.list.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Trie](./rest.trie.md) &gt; [list](./rest.trie.list.md)

## Trie.list() method

List all nodes with value of the trie

**Signature:**

```typescript
list(): NodeWithValue<T>[];
```
**Returns:**

[NodeWithValue](./rest.nodewithvalue.md)<!-- -->&lt;T&gt;\[\]


